import os

import pygame
from pygame.locals import *

from globals import *

font = None
fontb = None
fontm = None

def load_fonts():
	global font
	global fontb
	global fontm
	
	path = os.path.join('data', 'Vera.ttf')
	try:
		font = pygame.font.Font(path, 10)
	except:
		font = pygame.font.Font(None, 16)

	path = os.path.join('data', 'VeraBd.ttf')
	try:
		fontb = pygame.font.Font(path, 10)
	except:
		fontb = pygame.font.Font(None, 16)

	path = os.path.join('data', 'VeraMono.ttf')
	try:
		fontm = pygame.font.Font(path, 10)
	except:
		fontm = pygame.font.Font(None, 16)

def write(f, t, c, l):
	try:
		pygame.display.get_surface().blit(f.render(t, False, c), l)
	except:
		pygame.display.get_surface().blit(f.render(t, True, c), l)
	